Summary:	An extension of GTK
Name:		granite
Version:	0.1.1
Release:	3
License:	GPL v3
Group:		X11/Libraries
URL:		http://elementaryos.org/
Source0:	https://launchpad.net/granite/0.x/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	1bc0bc2df9176940097a26f3d031034a
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk+3-devel >= 3.3.14
BuildRequires:	libgee0.6-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	vala
BuildRequires:	vala-libgee0.6
BuildRequires:	which
Requires(post,postun):	/sbin/ldconfig
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Obsoletes:	granite-libs < 0.1.1-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Granite is an extension of GTK. Among other things, it provides the
commonly-used widgets such as modeswitchers, welcome screens,
AppMenus, search bars, and more found in elementary apps.

%package devel
Summary:	Header files for libgranite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for libgranite.

%prep
%setup -q

%{__sed} -i -e '
	s,${CMAKE_INSTALL_PREFIX}/lib,${CMAKE_INSTALL_LIBDIR},
' lib/CMakeLists.txt

%{__sed} -i -e '
	s,DESTINATION lib/girepository-1.0/,DESTINATION lib${LIB_SUFFIX}/girepository-1.0/,
' cmake/GObjectIntrospectionMacros.cmake

%build
install -d build
cd build
%cmake \
	-DGSETTINGS_COMPILE=OFF \
	-DICON_UPDATE=OFF \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install -C build \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/rue
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/sma

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/granite-demo
%attr(755,root,root) %{_libdir}/libgranite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgranite.so.0
%{_iconsdir}/hicolor/*/actions/application-menu.svg
%{_iconsdir}/hicolor/*/actions/application-menu-symbolic.svg
%{_libdir}/girepository-1.0/Granite-0.1.1.typelib

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_pkgconfigdir}/granite.pc
%{_libdir}/libgranite.so
%{_datadir}/gir-1.0/Granite-0.1.1.gir
%{_datadir}/vala/vapi/granite.*
%changelog
* Thu Feb 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/granite.git;a=log;h=master

* Thu Feb 07 2013 Elan Ruusamäe <glen@delfi.ee> 185f69f
revert -libs split

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 7106739
pff, here's no glib schema to compile

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> bdae6af
fix install dirs in cmake sources

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 505a7b4
move vala api to -devel

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 016f653
disable gsettings and icon update at packaging time, do it at install time

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 111f439
split -libs

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 5fea558
fix locale removal

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 4a4b0f3
unknown locales: rue, sma

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> c95887e
updated BR deps (cleanbuild to rescue)

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 3b0459d
fix md5

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 1072797
up to 0.1.1

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> ee47d1d
new, version 0.1.0

